Add event facilitator
PUT
/api/events/{eventid}/facilitators/{facilitatorid}
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Put, RequestUri = new Uri("https://api.eventpoint.io/api/events/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/facilitators/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"), Headers = { { "x-api-key", "<x-api-key>" }, }, Content = new StringContent("{ \"facilitatorTypeIds\": [ \"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0\" ], \"itemOrder\": 1 }") { Headers = { ContentType = new MediaTypeHeaderValue("application/json") } }};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://api.eventpoint.io/api/events/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/facilitators/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = { method: 'PUT', headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'}, body: '{"facilitatorTypeIds":["2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"],"itemOrder":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api.eventpoint.io/api/events/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/facilitators/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Content-Type: application/json' \ --header 'x-api-key: <x-api-key>' \ --data '{ "facilitatorTypeIds": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ], "itemOrder": 1 }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”eventid
required
string format: uuid
The event identifier.
facilitatorid
required
string format: uuid
The facilitator identifier.
Request Bodyrequired
Section titled “Request Bodyrequired”The facilitator types and optional display order.
object
facilitatorTypeIds
Array<string> | null
itemOrder
null | integer | string format: int32
Examplegenerated
{ "facilitatorTypeIds": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ], "itemOrder": 1}object
facilitatorTypeIds
Array<string> | null
itemOrder
null | integer | string format: int32
Examplegenerated
{ "facilitatorTypeIds": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ], "itemOrder": 1}object
facilitatorTypeIds
Array<string> | null
itemOrder
null | integer | string format: int32
Examplegenerated
{ "facilitatorTypeIds": [ "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" ], "itemOrder": 1}Responses
Section titled “Responses”OK
object
data
boolean
message
null | string
success
boolean
status
null | integer | string format: int32
object
data
boolean
message
null | string
success
boolean
status
null | integer | string format: int32
Examplegenerated
{ "data": true, "message": "example", "success": true, "status": 1}object
data
boolean
message
null | string
success
boolean
status
null | integer | string format: int32
Examplegenerated
{ "data": true, "message": "example", "success": true, "status": 1}Bad Request
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Forbidden
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Not Found
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}